SuperLU 6.0.0

Data Fields
Colamd_Col_struct Struct Reference

## Data Fields
Int | start
Int | length
union {
Int thickness
Int parent
} | shared1
union {
Int score
Int order
} | shared2
union {
Int headhash
Int hash
Int prev
} | shared3
union {
Int degree_next
Int hash_next
} | shared4

## Field Documentation

## ◆ degree_next

Int Colamd_Col_struct::degree_next

## ◆ hash

Int Colamd_Col_struct::hash

## ◆ hash_next

Int Colamd_Col_struct::hash_next

## ◆ headhash

Int Colamd_Col_struct::headhash

## ◆ length

Int Colamd_Col_struct::length

## ◆ order

Int Colamd_Col_struct::order

## ◆ parent

Int Colamd_Col_struct::parent

## ◆ prev

Int Colamd_Col_struct::prev

## ◆ score

Int Colamd_Col_struct::score

## ◆

union { ... } Colamd_Col_struct::shared1

## ◆

union { ... } Colamd_Col_struct::shared2

## ◆

union { ... } Colamd_Col_struct::shared3

## ◆

union { ... } Colamd_Col_struct::shared4

## ◆ start

Int Colamd_Col_struct::start

## ◆ thickness

Int Colamd_Col_struct::thickness

The documentation for this struct was generated from the following file:

- SRC/colamd.c